<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <include layout="@layout/navigationbar" />

    <LinearLayout
        android:orientation="horizontal"
        android:id="@+id/rl_localremoteselect"
        android:paddingLeft="5dp"
        android:paddingRight="5dp"
        android:layout_width="match_parent"
        android:layout_height="45dp"
        android:layout_marginTop="5dp"
        android:layout_below="@+id/navigation_bar">

        <RadioGroup
            android:orientation="horizontal"
            android:id="@+id/RadioGroup"
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <RadioButton
                android:textColor="@drawable/printer_selector_text"
                android:id="@+id/btn_local"
                android:background="@drawable/printer_selector_background_local"
                android:text="@string/epsonconnect_str_print_path_local"
                android:drawableLeft="@drawable/printer_selector_icon_local"
                style="@style/PrinterSelectButton" />

            <RadioButton
                android:textColor="@drawable/printer_selector_text"
                android:id="@+id/btn_ip"
                android:background="@drawable/printer_selector_background_ip"
                android:text="@string/str_print_path_ip"
                android:drawableLeft="@drawable/printer_selector_icon_ip"
                style="@style/PrinterSelectButton" />

            <RadioButton
                android:textColor="@drawable/printer_selector_text"
                android:id="@+id/btn_remote"
                android:background="@drawable/printer_selector_background_remote"
                android:text="@string/epsonconnect_str_print_path_remote"
                android:drawableLeft="@drawable/printer_selector_icon_remote"
                style="@style/PrinterSelectButton" />
        </RadioGroup>
    </LinearLayout>

    <LinearLayout
        android:orientation="vertical"
        android:id="@+id/sub_pain"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/rl_localremoteselect">

        <TextView
            android:id="@+id/detail"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="2dp"
            android:layout_marginRight="10dp"
            android:layout_marginBottom="2dp" />

        <RelativeLayout
            android:orientation="horizontal"
            android:id="@+id/ble_wifi_setting"
            android:background="@drawable/select_setting_borderless"
            android:layout_width="match_parent"
            android:layout_height="45dp"
            android:layout_marginLeft="5dp"
            android:layout_marginTop="5dp"
            android:layout_marginRight="5dp"
            android:layout_marginBottom="1dp"
            android:radius="0dp">

            <ImageView
                android:gravity="left|center_vertical|center_horizontal|center|start"
                android:layout_gravity="center_vertical"
                android:id="@+id/wifi"
                android:layout_width="31dp"
                android:layout_height="31dp"
                android:src="@drawable/printer_wifi_setup"
                android:scaleType="fitXY"
                android:contentDescription="@null"
                android:layout_marginStart="8dp" />

            <TextView
                android:textSize="18sp"
                android:textStyle="bold"
                android:textColor="@color/text_color"
                android:gravity="left|center_vertical|center_horizontal|center|start"
                android:layout_gravity="center_vertical"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/BLE_easysetup_wireless_lan_setup_button"
                android:layout_centerVertical="true"
                android:layout_marginStart="8dp"
                android:layout_toEndOf="@+id/wifi"
                android:layout_alignParentEnd="true" />
        </RelativeLayout>

        <TextView
            android:gravity="left"
            android:id="@+id/empty"
            android:visibility="visible"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:layout_marginTop="2dp"
            android:layout_marginRight="10dp"
            android:text="@string/searching_text" />
    </LinearLayout>

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/not_found_printer_epsonsn"
        android:layout_below="@+id/sub_pain">

        <TextView
            android:id="@+id/list_empty_message"
            android:background="@color/all_white"
            android:padding="10dp"
            android:visibility="gone"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="15dp"
            android:layout_marginTop="20dp" />

        <include layout="@layout/mylistview" />
    </RelativeLayout>

    <LinearLayout
        android:orientation="horizontal"
        android:id="@+id/not_found_printer_epsonsn"
        android:background="@drawable/select_setting_borderless"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="5dp"
        android:layout_marginTop="3dp"
        android:layout_marginRight="5dp"
        android:layout_marginBottom="5dp"
        android:minHeight="45dp"
        android:layout_above="@+id/ln_toolbar"
        android:radius="0dp">

        <ImageView
            android:gravity="left|center_vertical|center_horizontal|center|start"
            android:layout_gravity="center_vertical"
            android:layout_width="31dp"
            android:layout_height="31dp"
            android:src="@drawable/ic_help"
            android:scaleType="fitXY"
            android:tint="@color/epson_blue"
            android:contentDescription="@null"
            android:layout_marginStart="8dp" />

        <TextView
            android:textSize="18sp"
            android:textStyle="bold"
            android:textColor="@color/text_color"
            android:gravity="left|center_vertical|center_horizontal|center|start"
            android:layout_gravity="center_vertical"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:text="@string/BLE_easysetup_printer_not_found_button"
            android:layout_weight="1"
            android:layout_marginStart="8dp" />

        <ImageView
            android:gravity="right|center_vertical|center_horizontal|center|end"
            android:layout_gravity="center_vertical"
            android:layout_width="31dp"
            android:layout_height="31dp"
            android:src="@drawable/next_screen"
            android:scaleType="fitXY"
            android:contentDescription="@null" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ln_toolbar"
        style="@style/FunctionBar">

        <Button
            android:id="@+id/function_button"
            android:text="@string/str_search"
            style="@style/FunctionButton.Normal" />

        <Button
            android:id="@+id/edit_button"
            android:visibility="gone"
            android:text="@string/add_new_folder"
            style="@style/FunctionButton.Normal" />

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1" />

        <Button
            android:id="@+id/rlWifiSettings"
            android:visibility="gone"
            android:text="@string/str_wifidirect_settings"
            style="@style/FunctionButton.Normal" />

        <Button
            android:id="@+id/AboutRemoteFrame"
            android:visibility="gone"
            android:text="@string/epsonconnect_str_epsonconnect"
            style="@style/FunctionButton.Normal" />
    </LinearLayout>
</RelativeLayout>
